Bug 886892 - Firstboot: Does not let you change the values,if an invalid organisation key is entered while registering using activation key
Firstboot: Does not let you change the values,if an invalid organisation key ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity high
: beta
: 6.4
Assigned To: Alex Wood
IDM QE LIST
: QA-Closed
Depends On:
Blocks: 771481
  Show dependency treegraph
 
Reported: 2012-12-13 08:58 EST by Shwetha Kallesh
Modified: 2013-02-26 11:50 EST (History)
8 users (show)

See Also:
Fixed In Version: subscription-manager-1.1.18-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 11:50:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Invalid org key (117.97 KB, image/png)
2012-12-13 08:58 EST, Shwetha Kallesh
no flags Details

  None (edit)
Description Shwetha Kallesh 2012-12-13 08:58:06 EST
Created attachment 662973 [details]
Invalid org key

Description of problem:

Firstboot: Doesnot let you change the values,if an invalid organisation key is entered while regsitering using activation key

Version-Release number of selected component (if applicable):
[root@rhel-64-server ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.7.21-1
subscription-manager: 1.1.14-1.el6
python-rhsm: 1.1.7-1.el6


How reproducible:


Steps to Reproduce:
1.firstboot -r
2.
3.
  
Actual results:


Expected results:
Should let you enter the valid values 

Additional info:
Comment 2 RHEL Product and Program Management 2012-12-17 01:50:17 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Alex Wood 2012-12-18 11:26:44 EST
This bug is very similar to bug 886887 and they are in fact fixed by the same patch.

commit 10e6e4a41e55fdc9d717cbc47d208a3c80bf3718
Author: Alex Wood <awood@redhat.com>
Date:   Tue Dec 18 10:17:20 2012 -0500

    886887: Take the user back to the activation key page if he enters an invalid key.
Comment 4 Adrian Likins 2012-12-18 17:37:32 EST
fixed in 1.1.18-1
Comment 5 spandey 2013-01-02 02:16:02 EST
Verified using following subscription-manager rpm 

subscription-manager-migration-1.1.18-1.el6.x86_64
subscription-manager-migration-data-1.12.2.6-1.el6.noarch
subscription-manager-gui-1.1.18-1.el6.x86_64
subscription-manager-1.1.18-1.el6.x86_64
subscription-manager-firstboot-1.1.18-1.el6.x86_64


Working fine resolving defect as verified.

Note You need to log in before you can comment on or make changes to this bug.